commit:     8edfc50dab0424fe3db9741c3e5ccb9a0e0588a9
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 18:02:51 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 18:02:55 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8edfc50d

sys-devel/flex: disable building tests when USE=-test #568842

 sys-devel/flex/flex-2.6.0.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/sys-devel/flex/flex-2.6.0.ebuild b/sys-devel/flex/flex-2.6.0.ebuild
index b603320..6fc951f 100644
--- a/sys-devel/flex/flex-2.6.0.ebuild
+++ b/sys-devel/flex/flex-2.6.0.ebuild
@@ -25,6 +25,14 @@ DEPEND="${RDEPEND}
 src_prepare() {
        epatch "${FILESDIR}"/${P}-out-of-tree-build.patch #567332
        epatch "${FILESDIR}"/${P}-out-of-tree-test.patch #567332
+
+       # Disable running in the tests/ subdir as it has a bunch of built 
sources
+       # that cannot be made conditional (automake limitation). #568842
+       if ! use test ; then
+               sed -i \
+                       -e '/^SUBDIRS =/,/^$/{/tests/d}' \
+                       Makefile.in || die
+       fi
 }
 
 src_configure() {

Reply via email to